#ifndef __LEVEL_H__
#define __LEVEL_H__

#include "enemy.h"

class Level : public EnemyGroup
{
    public:
	Level();
	virtual ~Level();

	void SetLevel(int level);

	virtual void Move();
	virtual void Reset(int newstage);
	virtual void ResetPos();

	void SetPoints(int newpoints);
	int Points();

	virtual const Level &operator=(const Level &src);

    protected:
	int levelnum;
	int points;
	int stage;
};

#endif // __LEVEL_H__